package com.example.melanie.cskiosk;

/**
 * Created by Melanie on 4/1/2017.
 */
//<!--descriptions courtesy of http://www.snc.edu/computerscience/courseofferings.html-->
public class ClassDescriptions {

    public String cs110 = "A lecture and laboratory course which provides an introduction to structured and object-oriented programming using the language C++. Topics include the role of a stored program, problem definition, algorithm design, coding and testing, and documentation as well as functions, parameters, control structures, arrays, structs, file streams and the use of standard objects. Applications are taught through classroom examples, laboratory exercises and programming assignments. Structured programming and top-down design are emphasized throughout the course. Weekly laboratory sessions reinforce programming techniques and the process of program design.";
    public String cs150 = "Discrete structures are sets of distinct or unconnected elements. These structures are useful when solving problems that require counting objects, exploring the relationship between finite sets, and analyzing an algorithm (a finite sequence of steps) for its effectiveness and efficiency. Discrete structures can be used to answer questions in a variety of disciplines. In this course students learn techniques for solving problems and defending their solutions while improving their ability to think logically, algorithmically and quantitatively. Weekly laboratory sessions provide opportunities for students to analyze problems and experiment with their solutions. This is not a programming course.";
    public String cs205 = "A continuation of CSCI 110, this lecture and laboratory course introduces elementary data structures and advanced programming concepts needed to solve more challenging problems. Software engineering principles and object-oriented concepts are studied and applied to various types of problems. Object-oriented topics include class inheritance, encapsulation, polymorphism, error handling and error recovery. Additional topics include dynamic memory, pointers, linked lists, stacks, recursion, activation records and binary files. Special focus is given to software engineering principles including abstraction, modularity, generality, portability, robustness, and internal and external documentation. Laboratory sessions reinforce concepts presented in lecture sessions, introduce methods of experimentation and present new concepts.";
    public String cs220 = "A continuation of CSCI 205, this lecture and laboratory course focuses on advanced data structures and the analysis of their performance. After reviewing pointers, linked lists, stacks and recursion, the following topics and their associated algorithms are studied in detail: multi-linked lists, simulating recursion, queues, trees and graphs. Advanced sorting and searching algorithms are also analyzed. Some file structures such as B-trees and hash files are studied. Labs and assignments are used for experimentation, to present new algorithms and concepts, to analyze and compare algorithms, and to reinforce lecture material. Students apply their knowledge to new problems, developing solutions by extending or enhancing various algorithms.";
    public String cs225 = "This lecture and laboratory course provides an introduction to the internal operations of digital computers. Topics include computer architecture, memory control, processing, I/O devices, machine language, microcode, instruction types and format, fetch-execute cycle, timing, I/O operations, interrupt handling, data representation, basic computer arithmetic, addressing modes and assembly language programming. Weekly laboratories will extend concepts discussed in lectures and focus on using the computer as an experimental tool. Working in teams, students will research a topic in computing, design a web site describing their findings and formally present their results.";
    public String cs460 = "This is the capstone experience for the computer science major. It is designed to allow students to learn more about a particular topic in computer science, to help them further develop the skills necessary to learn on their own, to help develop presentation skills, and to help develop an awareness of the legal and ethical issues inherent in the discipline of computer science. Students will be given an individual project that integrates and extends concepts covered in other CSCI courses. The projects range from research to experimentation to design and implementation of a small system. Students present results in open forums and closed defenses.";

    static class cs{
        public String math131 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=MATH&sel_crse_strt=131&sel_crse_end=131&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs321 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=321&sel_crse_end=321&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs322 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=322&sel_crse_end=322&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs370 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=CSCI&sel_crse_strt=370&sel_crse_end=370&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs330 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=330&sel_crse_end=330&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs350 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=350&sel_crse_end=350&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
    }

    static class graphdes{
        public String art130 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=ART&sel_crse_strt=130&sel_crse_end=130&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String art280 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=ART&sel_crse_strt=280&sel_crse_end=280&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String art335 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=ART&sel_crse_strt=335&sel_crse_end=335&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String art350 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=ART&sel_crse_strt=350&sel_crse_end=350&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String art460 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=ART&sel_crse_strt=460&sel_crse_end=460&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String art485 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=ART&sel_crse_strt=485&sel_crse_end=485&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs350 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=350&sel_crse_end=350&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
    }

    static class bis{
        public String acct205 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=ACCT&sel_crse_strt=205&sel_crse_end=205&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String buad270 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=BUAD&sel_crse_strt=270&sel_crse_end=270&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String cs330 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=CSCI&sel_crse_strt=330&sel_crse_end=330&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String math128 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201710&one_subj=MATH&sel_crse_strt=128&sel_crse_end=128&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String buad231 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=BUAD&sel_crse_strt=231&sel_crse_end=231&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String buad232 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=BUAD&sel_crse_strt=232&sel_crse_end=232&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";
        public String buad233 = "https://cwispssb.snc.edu/CWIS8P/bwckctlg.p_display_courses?term_in=201630&one_subj=BUAD&sel_crse_strt=233&sel_crse_end=233&sel_subj=&sel_levl=&sel_schd=&sel_coll=&sel_divs=&sel_dept=&sel_attr=";

    }


}
