package com.example.melanie.cskiosk;

import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.TextView;

/**
 * Created by Melanie on 4/6/2017.
 */

public class FeedbackPage extends AppCompatActivity {


    Integer WIN = 1;
    Integer LOSE = 0;

    //disable back button during game
    @Override
    public void onBackPressed() {
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.results_page);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);

        //get static life and percent
        StaticVars staticVars = new StaticVars();


        //font
        TextView results = (TextView) findViewById(R.id.results);
        Typeface cyberfont = Typeface.createFromAsset(getAssets(), "fonts/game_font.otf");
        results.setTypeface(cyberfont);
        ////end font

        //get description
        TextView results_desc = (TextView) findViewById(R.id.results_desc);

        //get lewis reaction image
        ImageView lewis_reaction = (ImageView) findViewById(R.id.lewis_reaction);

        //get battery life bar and percentage
        ProgressBar battery_life = (ProgressBar) findViewById(R.id.battery_life);
        TextView percentage = (TextView) findViewById(R.id.percentage);

        //get the correct answer in case user got it wrong
        TextView correct_text = (TextView) findViewById(R.id.correct_text);
        TextView correct_answer = (TextView) findViewById(R.id.correct_answer);

        //passing correct and incorrect data between activites
        //http://stackoverflow.com/questions/2091465/how-do-i-pass-data-between-activities-in-android-application

        //this changes each time


        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            Integer result = extras.getInt("result");
            String answer = extras.getString("answer");
            if (result == 1) {
                results.setText("Correct!");
                results_desc.setText(R.string.results_desc_correct);
                lewis_reaction.setImageResource(R.drawable.lewis_happy);

                //decrease by only 1
                staticVars.PERCENT = staticVars.PERCENT - 5;
            } else {
                results.setText("Incorrect :(");
                results_desc.setText(R.string.results_desc_incorrect);
                lewis_reaction.setImageResource(R.drawable.lewis_worried);
                correct_text.setVisibility(View.VISIBLE);
                correct_answer.setText(answer);
                correct_answer.setVisibility(View.VISIBLE);

                //decrease by double
                staticVars.PERCENT = staticVars.PERCENT - 20;

            }

        }
        final Integer planet = extras.getInt("planet");



        /////////////////////////////////////////////////////////
        //decrement battery life if not game over
        Boolean gameover = checkifGameOver(battery_life, StaticVars.PERCENT, percentage, planet);
        Intent i = new Intent(getApplicationContext(), GameOver.class);
        if (gameover)
        //battery is out, go to game over page
        {
            if (planet == 6)
            {
                i.putExtra("win_or_lose", WIN);

            } else
            {
                i.putExtra("win_or_lose", LOSE);
                i.putExtra("planet",planet);
            }

            startActivity(i);
        } else
        //continue with game
        {
            Button results_cont = (Button) findViewById(R.id.results_continue);
            Button view_map = (Button) findViewById(R.id.viewmap);
            results_cont.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    Intent i = new Intent(getApplicationContext(), QuestionPage.class);
                    i.putExtra("planet", planet);
                    startActivity(i);
                }
            });

            view_map.setOnClickListener(new View.OnClickListener() {
                @Override
                public void onClick(View view) {
                    Intent i = new Intent(getApplicationContext(), cyberspace.class);
                    i.putExtra("planet", planet);
                    startActivity(i);
                }
            });
        }


    }

    public Boolean checkifGameOver(ProgressBar pg, Integer percent_num, TextView percent_text, Integer planet) {



        if (planet < 6 && percent_num > 0)
        //still playing
        {
            pg.setProgress(percent_num);
            percent_text.setText(percent_num.toString());
            return false;
        }
        else if (planet == 6)
        {
            return true;
        }
        if (percent_num <= 0)
        {
            return true;
        }

        return false;

    }
}
