package com.example.melanie.cskiosk;

import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by Melanie on 4/6/2017.
 */

public class GameOver extends AppCompatActivity {

    //disable back button during game
    @Override
    public void onBackPressed() {
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.gameover);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);


        //font
        TextView win_or_lose_title = (TextView) findViewById(R.id.win_or_lose_title);
        Typeface cyberfont = Typeface.createFromAsset(getAssets(), "fonts/game_font.otf");
        win_or_lose_title.setTypeface(cyberfont);
        ////end font

        //get text and images to display
        TextView win_or_lose_subtitle = (TextView) findViewById(R.id.win_or_lose_subtitle);
        ImageView finalplanet = (ImageView) findViewById(R.id.final_planet);
        ImageView lewisend = (ImageView) findViewById(R.id.lewis_end);


        //get win or lose data from FeedbackPage
        Bundle extras = getIntent().getExtras();

        if (extras != null)
        {
            Integer win_or_lose = extras.getInt("win_or_lose");
            Integer planet = extras.getInt("planet");

            if (win_or_lose == 1)
            {
                win_or_lose_title.setText("Hooray!");
                win_or_lose_subtitle.setText("Lewis is home safe and sound");
            }
            else
            {
                win_or_lose_title.setText("Oh Dear");
                win_or_lose_subtitle.setText("Lewis' battery has run out!");
                lewisend.setImageResource(R.drawable.lewis_gameover);

                switch (planet)
                {

                    case 0:
                        finalplanet.setImageResource(R.drawable.pluto);
                        break;

                    case 1:
                        finalplanet.setImageResource(R.drawable.neptune);

                    case 2:
                        finalplanet.setImageResource(R.drawable.uranus);
                        break;

                    case 3:
                        finalplanet.setImageResource(R.drawable.saturn);
                        break;

                    case 4:
                        finalplanet.setImageResource(R.drawable.jupiter);
                        break;

                    case 5:
                        finalplanet.setImageResource(R.drawable.mars);
                        break;
                }


            }
        }
        Button retn = (Button) findViewById(R.id.return_to_app);
        retn.setTypeface(cyberfont);
        retn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent backtoquiz = new Intent(GameOver.this, quiz.class);
                GameOver.this.startActivity(backtoquiz);
            }


        });
    }
}
