package com.example.melanie.cskiosk;

import android.content.Intent;
import android.graphics.Color;
import android.os.Bundle;
import android.support.design.widget.TabLayout;
import android.support.v7.app.AppCompatActivity;
import android.view.SurfaceView;
import android.view.View;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;
import android.widget.ViewFlipper;
import android.graphics.Typeface;


public class MainActivity extends AppCompatActivity {

    /*constants*/
     String green  = "#215C1A";
     String yellow = "#F2EE0F";
    /*end constants*/


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        //set logo in action bar
        //source: https://guides.codepath.com/android/Defining-The-ActionBar
        getSupportActionBar().setDisplayShowHomeEnabled(true);
        getSupportActionBar().setLogo(R.drawable.icon);
        getSupportActionBar().setDisplayUseLogoEnabled(true);


        /*tab select events************************************************************************/
        //5 tabs at the top of navigation click events. Start each activity
        //source: http://stackoverflow.com/questions/42463137/android-tablayout-click-events
       TabLayout tabLayout = (TabLayout) findViewById(R.id.tabs);
        tabLayout.getTabAt(0).select();
        tabLayout.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {

            @Override
            public void onTabSelected(TabLayout.Tab tab) {

                switch (tab.getPosition()){

                    case 0:
                        //ignore case if itself is selected
                        break;

                    case 1:
                        Intent infoIntent = new Intent(MainActivity.this, about.class);
                        MainActivity.this.startActivity(infoIntent);
                        break;

                    case 2:

                        Intent studentIntent = new Intent(MainActivity.this, student.class);
                        MainActivity.this.startActivity(studentIntent);
                        break;

                    case 3:

                        Intent surveyIntent = new Intent(MainActivity.this, classes.class);
                        MainActivity.this.startActivity(surveyIntent);
                        break;

                    case 4:

                        Intent quizIntent = new Intent(MainActivity.this, quiz.class);
                        MainActivity.this.startActivity(quizIntent);
                        break;
                }

            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {

            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });
        /* end tab events************************************************************************/


        /*begin fonts****************************************************************************/
        //font source: http://www.dafont.com
        //title
        TextView title = (TextView) findViewById(R.id.big_title);
        Typeface titlefont = Typeface.createFromAsset(getAssets(), "fonts/ka1.ttf");
        title.setTypeface(titlefont);


        //program gallery title
        TextView pg = (TextView) findViewById(R.id.program_gallery_title);
        Typeface pgfont = Typeface.createFromAsset(getAssets(),"fonts/DisplayOTF.otf");
        pg.setTypeface(pgfont);


        /*end fonts*******************************************************************************/

        //initiate slideshow
        final ViewFlipper flipper = (ViewFlipper) findViewById(R.id.viewflipper);
        SlideLeft(flipper);



        //Info Boxes: alternate yellow with green text or green with tellow text
        //toggles color and text on select
        //Initialize First Info Box click event
        final SurfaceView boxone = (SurfaceView) findViewById(R.id.firstSurfaceView);
        boxone.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.firstboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.firstboxon);

                ToggleTextStartGreen(taboutFrom, taboutTo, boxone);
            }
        });
        //Initialize second Info Box click event
        final SurfaceView boxtwo = (SurfaceView) findViewById(R.id.secondSurfaceView);
        boxtwo.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.secondboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.secondboxon);

                ToggleTextStartYellow(taboutFrom, taboutTo, boxtwo);
            }
        });
        //Initialize third Info Box click event
        final SurfaceView boxthree = (SurfaceView) findViewById(R.id.thirdSurfaceView);
        boxthree.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.thirdboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.thirdboxon);

                ToggleTextStartGreen(taboutFrom, taboutTo, boxthree);
            }
        });
        //Initialize fourth Info Box click event
        final SurfaceView boxfour = (SurfaceView) findViewById(R.id.fourthSurfaceView);
        boxfour.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.fourthboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.fourthboxon);

                ToggleTextStartYellow(taboutFrom, taboutTo, boxfour);
            }
        });
        //Initialize fifth Info Box click event
        final SurfaceView boxfive = (SurfaceView) findViewById(R.id.fifthSurfaceView);
        boxfive.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.fifthboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.fifthboxon);

                ToggleTextStartGreen(taboutFrom, taboutTo, boxfive);
            }
        });
        //Initialize sixth Info Box click event
        final SurfaceView boxsix = (SurfaceView) findViewById(R.id.sixthSurfaceView);
        boxsix.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                TextView taboutFrom = (TextView) findViewById(R.id.sixthboxoff);
                TextView taboutTo = (TextView) findViewById(R.id.sixthboxon);

                ToggleTextStartYellow(taboutFrom, taboutTo, boxsix);
            }
        });


    }

    //Source: http://stackoverflow.com/questions/25781003/android-simple-fade-out-and-fade-in-animation-for-viewflipper
    //animation located in res>anim
    //viewflipper animation slide tot he right
    //never used
    public void SlideRight(ViewFlipper flipper)
    {
        flipper.setInAnimation(this,R.anim.in_from_left);
        flipper.setOutAnimation(this,R.anim.out_to_right);
    }

    //viewflipper animation slide to the left
    public void SlideLeft(ViewFlipper flipper)
    {
        flipper.setInAnimation(this,R.anim.in_from_right);
        flipper.setOutAnimation(this,R.anim.out_to_left);
    }

    //Toggle text on info box if it starts as green
    public void ToggleTextStartGreen(TextView taboutFrom, TextView taboutTo, SurfaceView surfaceView)
    {


        if (taboutFrom.getVisibility() == View.VISIBLE) {
            taboutFrom.setVisibility(View.INVISIBLE);
            taboutTo.setVisibility(View.VISIBLE);
            taboutTo.setTextColor(Color.parseColor(green));
            surfaceView.setBackgroundColor(Color.parseColor(yellow));
        }
        else
        {
            taboutTo.setVisibility(View.INVISIBLE);
            taboutFrom.setVisibility(View.VISIBLE);
            taboutFrom.setTextColor(Color.parseColor(yellow));
            surfaceView.setBackgroundColor(Color.parseColor(green));
        }

    }

    //Toggle text on info box if it starts as yellow
    public void ToggleTextStartYellow(TextView taboutFrom, TextView taboutTo, SurfaceView surfaceView)
    {

        // TextView tabout = (TextView) findViewById(R.id.textView2);
        if (taboutFrom.getVisibility() == View.VISIBLE) {
            taboutFrom.setVisibility(View.INVISIBLE);
            taboutTo.setVisibility(View.VISIBLE);
            taboutTo.setTextColor(Color.parseColor(yellow));
            surfaceView.setBackgroundColor(Color.parseColor(green));
        }
        else
        {
            taboutTo.setVisibility(View.INVISIBLE);
            taboutFrom.setVisibility(View.VISIBLE);
            taboutFrom.setTextColor(Color.parseColor(green));
            surfaceView.setBackgroundColor(Color.parseColor(yellow));
        }

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }


    //help menu item
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {

        int id = item.getItemId();


        if (id == R.id.help_page) {

            Intent myIntent = new Intent(MainActivity.this, help.class);
            MainActivity.this.startActivity(myIntent);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }


}
