package com.example.melanie.cskiosk;

import android.content.ContentValues;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.res.Resources;
import android.content.res.TypedArray;
import android.graphics.Typeface;
import android.media.Image;
import android.os.Bundle;
import android.support.v4.content.res.TypedArrayUtils;
import android.support.v7.app.AlertDialog;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;


import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.Random;
import java.lang.Object;
import java.util.concurrent.ThreadLocalRandom;


/**
 * Created by Melanie on 3/19/2017.
 */

public class QuestionPage extends AppCompatActivity {


    Integer CORRECT = 1;
    Integer INCORRECT = 0;

    //disable back button during game
    @Override
    public void onBackPressed() {
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.question_page);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);


        //get static planetnum
        final StaticVars staticVars = new StaticVars();


        //get info from feedback page
        //just increase planet num when return from feedback page
        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            Integer planet = extras.getInt("planet");
            staticVars.PLANETNUM = planet;
        }

        //Fonts
        TextView submitquestion = (TextView) findViewById(R.id.accept_answer);
        Typeface cyberfont = Typeface.createFromAsset(getAssets(), "fonts/game_font.otf");
        submitquestion.setTypeface(cyberfont);
        ////////////////
        //gamevalues/////////////////////////////////////////////////


        //get planet status
        final TextView current_planet_actual = (TextView) findViewById(R.id.current_planet_actual);
        ImageView current_planet = (ImageView) findViewById(R.id.current_planet);


        //set planet status
        if (staticVars.PLANETNUM == 0)
        {
            current_planet_actual.setText("PLUTO");
            current_planet.setImageResource(R.drawable.pluto);
        }
        else if (staticVars.PLANETNUM == 1)
        {
            current_planet_actual.setText("NEPTUNE");
            current_planet.setImageResource(R.drawable.neptune);
        }
        else if (staticVars.PLANETNUM == 2)
        {
            current_planet_actual.setText("URANUS");
            current_planet.setImageResource(R.drawable.uranus);
        }
        else if (staticVars.PLANETNUM == 3)
        {
            current_planet_actual.setText("SATURN");
            current_planet.setImageResource(R.drawable.saturn);
        }
        else if (staticVars.PLANETNUM == 4)
        {
            current_planet_actual.setText("JUPITER");
            current_planet.setImageResource(R.drawable.jupiter);
        }
        else if (staticVars.PLANETNUM == 5)
        {
            current_planet_actual.setText("MARS");
            current_planet.setImageResource(R.drawable.mars);
        }


        TextView q = (TextView) findViewById(R.id.q) ;
        RadioButton opt4 = (RadioButton) findViewById(R.id.a);
        RadioButton opt1 = (RadioButton) findViewById(R.id.option1);
        RadioButton opt2 = (RadioButton) findViewById(R.id.option2);
        RadioButton opt3 = (RadioButton) findViewById(R.id.option3);

        //gather qs and as
        //load questions and answers
        final Integer pos = getQs(q, staticVars.QUESTIONS);
        final String ans = ShuffleAs(pos,opt4, opt1, opt2, opt3);



        //get correct answer
        final RadioGroup radioGroup = (RadioGroup) findViewById(R.id.radio_options);

        Button confirmAnswer = (Button) findViewById(R.id.accept_answer);


        //////////////on confirm answer, check to see if it is the right answer
        confirmAnswer.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {


            //Source: http://stackoverflow.com/questions/11194515/android-get-value-of-the-selected-radio-button
            //getting text of selected answer
                if(radioGroup.getCheckedRadioButtonId()!=-1){
                    int id= radioGroup.getCheckedRadioButtonId();
                    View radioButton = radioGroup.findViewById(id);
                    int radioId = radioGroup.indexOfChild(radioButton);
                    RadioButton btn = (RadioButton) radioGroup.getChildAt(radioId);
                    String selection = (String) btn.getText();
            //////////////////////////////////////////////////////////////////////////////////////
                    //pass data between activities source: http://stackoverflow.com/questions/2091465/how-do-i-pass-data-between-activities-in-android-application
                    Intent i = new Intent(getApplicationContext(), FeedbackPage.class);
                    if (selection == ans)
                    {
                        i.putExtra("result",CORRECT);
                        staticVars.PLANETNUM++;
                        i.putExtra("planet", staticVars.PLANETNUM);

                    }
                    else
                    {
                        i.putExtra("result",INCORRECT);
                        i.putExtra("planet", staticVars.PLANETNUM);
                        i.putExtra("answer", ans);

                    }

                    //alertDialog.show();
                    startActivity(i);
                }



            }
        });


    }

    //http://stackoverflow.com/questions/19617301/android-get-items-from-string-array-and-show-it-one-by-one-in-text-view
    //randomize question, set it as the text, return question index
    public Integer getQs(TextView q, String[] questions)
    {

       Random random = new Random();

        //max will be 14
        int max = questions.length;
        int generatedIndex = random.nextInt(max);

        //null questions have already been used
		//this is where there is a bug. It will rarely crash either upon selecting
		//"next question" or at the very end of the game. Reason is still unknown
        for (int i = 0; i < questions.length + 1; i++)
        {
            if (generatedIndex >= questions.length)
            {
                generatedIndex--;
            }
            else if (questions[generatedIndex] != null)
            {

                q.setText(questions[generatedIndex]);
                break;
            }
            else if (questions[generatedIndex] == null)
            {
                generatedIndex++;

            }
        }
        //Once I use that question, set it to null so that it is not used again
        questions[generatedIndex] = null;
        return generatedIndex;

    }


    public String ShuffleAs(Integer pos, RadioButton one, RadioButton two, RadioButton three, RadioButton four)
    {
        final String[] ns;

        final String[] shuffled;

        switch (pos) {
            case 0:
                ns = getResources().getStringArray(R.array.oneAs);
                break;
            case 1:
                ns = getResources().getStringArray(R.array.twoAs);
                break;
            case 2:
                ns = getResources().getStringArray(R.array.threeAs);
                break;
            case 3:
                ns = getResources().getStringArray(R.array.fourAs);
                break;
            case 4:
                ns = getResources().getStringArray(R.array.fiveAs);
                break;
            case 5:
                ns = getResources().getStringArray(R.array.sixAs);
                break;
            case 6:
                ns = getResources().getStringArray(R.array.sevenAs);
                break;
            case 7:
                ns = getResources().getStringArray(R.array.eightAs);
                break;
            case 8:
                ns = getResources().getStringArray(R.array.nineAs);
                break;
            case 9:
                ns = getResources().getStringArray(R.array.tenAs);
                break;
            case 10:
                ns = getResources().getStringArray(R.array.elevenAs);
                break;
            case 11:
                ns = getResources().getStringArray(R.array.twelveAs);
                break;
            case 12:
                ns = getResources().getStringArray(R.array.thirteenAs);
                break;
            case 13:
                ns = getResources().getStringArray(R.array.fourteenAs);
                break;
            default:
                ns = getResources().getStringArray(R.array.allAs);
        }


        String ans = getAns(ns);

        shuffled = shuffleArray(ns);


        one.setText(shuffled[0]);
        two.setText(shuffled[1]);
        three.setText(shuffled[2]);
        four.setText(shuffled[3]);

        return ans;

    }

    //this was necessary to ensure the first val of notshuffled doesn't change when shuffleArray is called on it
    public String getAns(String[] notshuffled)
    {

        final String answer = notshuffled[0];

        return answer;

    }

    // Implementing Fisher–Yates shuffle
    // Implementing Fisher–Yates shuffle
    static String[] shuffleArray(String[] ar)
    {
        // If running on Java 6 or older, use `new Random()` on RHS here
        Random rnd = new Random();
        for (int i = ar.length - 1; i > 0; i--)
        {
            int index = rnd.nextInt(i + 1);
            // Simple swap
            String a = ar[index];
            ar[index] = ar[i];
            ar[i] = a;
        }
        return  ar;
    }



}
