package com.example.melanie.cskiosk;

import android.content.Intent;
import android.graphics.Typeface;
import android.support.design.widget.TabLayout;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.TextView;

public class about extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_about);

        //set logo in action bar
        //source: https://guides.codepath.com/android/Defining-The-ActionBar
        getSupportActionBar().setDisplayShowHomeEnabled(true);
        getSupportActionBar().setLogo(R.drawable.icon);
        getSupportActionBar().setDisplayUseLogoEnabled(true);

        //link to relevant emails
        //source: http://stackoverflow.com/questions/10464954/how-to-make-an-email-address-clickable
        final TextView bmvemail = (TextView) findViewById(R.id.bmv_email) ;
        final TextView dcpemail = (TextView) findViewById(R.id.dcp_email);
        bmvemail.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view) {
                Intent emailintent = new Intent(android.content.Intent.ACTION_SEND);
                emailintent.setType("plain/text");
                emailintent.putExtra(android.content.Intent.EXTRA_EMAIL,new String[] {"bonnie.mcvey@snc.edu" });
                emailintent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Computer Science at SNC");
                emailintent.putExtra(android.content.Intent.EXTRA_TEXT,"");
                startActivity(Intent.createChooser(emailintent, "Send email..."));

            }
        });
        dcpemail.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view) {
                Intent emailintent = new Intent(android.content.Intent.ACTION_SEND);
                emailintent.setType("plain/text");
                emailintent.putExtra(android.content.Intent.EXTRA_EMAIL,new String[] {"dave.pankratz@snc.edu" });
                emailintent.putExtra(android.content.Intent.EXTRA_SUBJECT, "Computer Science at SNC");
                emailintent.putExtra(android.content.Intent.EXTRA_TEXT,"");
                startActivity(Intent.createChooser(emailintent, "Send email..."));

            }
        });
        //end of emails


        //tab select events
        TabLayout tabLayout = (TabLayout) findViewById(R.id.tabs);
        tabLayout.getTabAt(1).select();
        tabLayout.addOnTabSelectedListener(new TabLayout.OnTabSelectedListener() {


            @Override
            public void onTabSelected(TabLayout.Tab tab) {

                switch (tab.getPosition()){

                    case 0:
                        Intent mainIntent = new Intent(about.this, MainActivity.class);
                        about.this.startActivity(mainIntent);
                        break;
                    case 2:
                        Intent studentIntent = new Intent(about.this, student.class);
                        about.this.startActivity(studentIntent);
                        break;
                    case 3:
                        Intent surveyIntent = new Intent(about.this, classes.class);
                        about.this.startActivity(surveyIntent);
                        break;
                    case 4:
                        Intent quizIntent = new Intent(about.this, quiz.class);
                        about.this.startActivity(quizIntent);
                        break;
                }

            }

            @Override
            public void onTabUnselected(TabLayout.Tab tab) {

            }

            @Override
            public void onTabReselected(TabLayout.Tab tab) {

            }
        });
        //***********************fonts***********************/

        //title
        TextView title = (TextView) findViewById(R.id.info_title);
        Typeface titlefont = Typeface.createFromAsset(getAssets(), "fonts/ka1.ttf");
        title.setTypeface(titlefont);

        //why join title
        TextView wj = (TextView) findViewById(R.id.why_join);
        Typeface subfont = Typeface.createFromAsset(getAssets(),"fonts/DisplayOTF.otf");
        wj.setTypeface(subfont);
        //what we do title
        TextView wwd = (TextView) findViewById(R.id.what_we_do);
        wwd.setTypeface(subfont);

        //contact title
        TextView contact_title = (TextView) findViewById(R.id.contact_a_professor);
        contact_title.setTypeface(subfont);

        /*********************endfonts**************************/
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement

        if (id == R.id.help_page) { //make switch case for all menu items

            Intent myIntent = new Intent(about.this, help.class);
            about.this.startActivity(myIntent);
            return true;
        }
        return super.onOptionsItemSelected(item);
    }
}
