package com.example.melanie.cskiosk;

import android.content.Intent;
import android.graphics.Typeface;
import android.media.Image;
import android.os.Bundle;
import android.support.annotation.DrawableRes;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Context;
import android.view.KeyEvent;
import android.view.MotionEvent;
import android.view.View;
import android.view.WindowManager;
import android.view.Window;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.view.animation.LinearInterpolator;
import android.widget.ImageView;
import android.widget.RelativeLayout;
import android.widget.TextView;
import android.widget.Toast;

/**
 * Created by Melanie on 3/18/2017.
 */

public class cyberspace extends AppCompatActivity {

    static Boolean FIRSTTIME = true;

    //disable back button during game
    @Override
    public void onBackPressed() {
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_cyberspace);
        getWindow().setFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN, WindowManager.LayoutParams.FLAG_FULLSCREEN);



        //set up arrows
        ImageView you_are_here = (ImageView) findViewById(R.id.you_are_here);
        you_are_here.setImageResource(R.drawable.you_are_here);
        ImageView goal_home = (ImageView) findViewById(R.id.goal_home);
        goal_home.setImageResource(R.drawable.goal_home);


        //gamevalue class
        GameValues gameValues = new GameValues();
        //set up coordinates
        GameValues.Pluto pluto = new GameValues.Pluto();
        GameValues.Neptune neptune = new GameValues.Neptune();
        GameValues.Uranus uranus = new GameValues.Uranus();
        GameValues.Saturn saturn = new GameValues.Saturn();
        GameValues.Jupiter jupiter = new GameValues.Jupiter();
        GameValues.Mars mars = new GameValues.Mars();
        GameValues.Earth earth = new GameValues.Earth();

        SetArrowAbovePluto(you_are_here,pluto);
        SetArrowAboveEarth(goal_home,earth);

        Bundle extras = getIntent().getExtras();
        if (extras != null) {
            FIRSTTIME = false;
            Integer planet = extras.getInt("planet");
            if (planet == 0)
            {
                SetArrowAbovePluto(you_are_here, pluto);
            }
            else if (planet == 1)
            {
                SetArrowAboveNeptune(you_are_here, neptune);
            }
            else if (planet == 2)
            {
                SetArrowAboveUranus(you_are_here, uranus);
            }
            else if (planet == 3)
            {
                SetArrowAboveSaturn(you_are_here, saturn);
            }
            else if (planet == 4)
            {
                SetArrowAboveJupiter(you_are_here, jupiter);
            }
            else if (planet == 5)
            {
                SetArrowAboveMars(you_are_here, mars);
            }
            else if (planet == 6)
            {
                //WIN PAGE
                SetArrowAboveEarth(you_are_here, earth);
            }

            // alertDialog.setMessage(result.toString());
            // alertDialog.show();
        }



        //font
        TextView next_q = (TextView) findViewById(R.id.next_q);
        Typeface cyberfont = Typeface.createFromAsset(getAssets(), "fonts/game_font.otf");
        next_q.setTypeface(cyberfont);

        //play button handler
        ImageView play = (ImageView) findViewById(R.id.play_next_q);
        play.setOnClickListener(new View.OnClickListener()
        {
            @Override
            public void onClick(View view)
            {
                Intent question_page = new Intent(cyberspace.this, QuestionPage.class);
                cyberspace.this.startActivity(question_page);
            }

        });

        //begin first question or next question

        if (FIRSTTIME == true)
        {
            next_q.setText("BEGIN  FIRST  QUESTION");
        }
        else {
            next_q.setText("NEXT QUESTION");
        }






        //set up blinking animation
        //http://stackoverflow.com/questions/27440481/how-to-blink-image-in-imageview-android
        final Animation animation = new AlphaAnimation(1, 0);
        animation.setDuration(1000);
        animation.setInterpolator(new LinearInterpolator());
        animation.setRepeatCount(Animation.INFINITE);
        animation.setRepeatMode(Animation.REVERSE);
        //you_are_here.startAnimation(animation);
        //goal_home.startAnimation(animation);
        play.startAnimation(animation);
        ///////////////////////////////



    }


    //place "you are here" arrow , for earth "home" arrow
    //changes as user progresses in game
    public void SetArrowAbovePluto(ImageView arrow, GameValues.Pluto pluto)
    {
        arrow.setX(pluto.x);
        arrow.setY(pluto.y);


    }
    public void SetArrowAboveNeptune(ImageView arrow, GameValues.Neptune neptune)
    {
        arrow.setX(neptune.x);
        arrow.setY(neptune.y);
    }
    public void SetArrowAboveUranus(ImageView arrow, GameValues.Uranus uranus)
    {
        arrow.setX(uranus.x);
        arrow.setY(uranus.y);
    }
    public void SetArrowAboveSaturn(ImageView arrow, GameValues.Saturn saturn)
    {
        arrow.setX(saturn.x);
        arrow.setY(saturn.y);
    }
    public void SetArrowAboveJupiter(ImageView arrow, GameValues.Jupiter jupiter)
    {
        arrow.setX(jupiter.x);
        arrow.setY(jupiter.y);
    }
    public void SetArrowAboveMars(ImageView arrow, GameValues.Mars mars)
    {
        arrow.setX(mars.x);
        arrow.setY(mars.y);

    }
    public void SetArrowAboveEarth(ImageView arrow, GameValues.Earth earth)
    {
        arrow.setX(earth.x);
        arrow.setY(earth.y);

    }



}
